package com.tofly.gpsboot.service.mq;


import com.tofly.pojo.plan.dto.ReportAuditDto;

import java.util.Set;

/**
 * @author Zev
 */
public interface IAuditMessageService {
    /**
     * 年计划审核
     * @param dto
     * @param messageUserId
     */
    void auditTypeYearPlan(ReportAuditDto dto, Long messageUserId);

    /**
     * 月计划审核
     * @param dto
     * @param messageUserId
     */
    void auditTypeMonthlyPlan(ReportAuditDto dto, Long messageUserId);

    /**
     * 隐患审核
     * @param data
     */
    void auditTypeHiddenTrouble(String data);

    /**
     * 隐患消除审核
     * @param data
     */
    void auditTypeHiddenTroubleElimination(String data);

    /**
     * 工地监护审核
     * @param data
     */
    void auditTypeConstructionSite(String data);

    /**
     * 工地监护消除审核
     * @param data
     */
    void auditTypeConstructionSiteElimination(String data);

    /**
     * 巡检任务申请暂停审核
     * @param data
     */
    void auditTypePlanStop(String data);

    /**
     * 巡检任务申请作废审核
     * @param data
     */
    void auditTypePlanDisuse(String data);

    /**
     * 抢维修年计划审核
     * @param dto
     * @param messageUserId
     */
    void auditTypeRepairYearPlan(ReportAuditDto dto, Long messageUserId) ;

    /**
     * 抢维修处理记录审核
     * @param dto
     * @param longSetId
     */
    void auditTypeRepairRecord(ReportAuditDto dto, Set<Long> longSetId);

    /**
     * app月报审核回调
     * @param dto
     * @param userId
     */
    void auditTypeRepairFillMonth(ReportAuditDto dto, Long userId);
}
